//Protocolos del estado de zacatecas

import React from 'react';
import { View, Text, StyleSheet, Dimensions, TouchableOpacity, Linking } from 'react-native';
import Pdf from 'react-native-pdf';

const ProtocolosZacPDFDos = ({onClose}) => {
  const RecursoPDF = {uri: 'https://www.seduzac.gob.mx/docs/Protocolo_ESCOLARES_DE_PROTECCION_Modificado[1].pdf', cache: true};



  const controlDescargaPDF = () => {
    Linking.openURL('https://www.seduzac.gob.mx/docs/Protocolo_ESCOLARES_DE_PROTECCION_Modificado[1].pdf')
      .then(result => {
        console.log('Enlace abierto con éxito:', result);
      })
      .catch(error => {
        console.error('Error al abrir el enlace:', error);
      });
  };



  return (
    <View style={styles.Contenedor}>
      <Pdf
        trustAllCerts = {false}
        source={RecursoPDF}
        style={styles.PdfUno}
        onLoadComplete={(numberOfPages, filePath) => {
          console.log(`Número de páginas: ${numberOfPages}`);
        }}
      />
      <TouchableOpacity  style={styles.btnCerrarPDF} onPress={onClose}>
        <Text style={styles.TextModal}>Cerrar PDF</Text>
      </TouchableOpacity>

      <TouchableOpacity style={styles.btnDescargarPDF} onPress={controlDescargaPDF}>
        <Text style={styles.TextModal}>Descargar PDF</Text>
      </TouchableOpacity>
    </View>
  );
};

const styles = StyleSheet.create({
  Contenedor: {
    position: "relative",
    height: Dimensions.get("window").height,
    zIndex: 9999,
    right:-35
  },
  PdfUno: {
    flex: 1,
    width: Dimensions.get("window").width,
    height: Dimensions.get("window").height,
    right: 20,
  },
  btnCerrarPDF: {
    position: 'absolute',
    top: 10,
    left: 5,
    padding: 10,
    backgroundColor: "#62acac",
    borderRadius: 5,
  },
  btnDescargarPDF: {
    position: 'absolute',
    top: 10,
    right: 65,
    padding: 10,
    backgroundColor: "#62acac",
    borderRadius: 5,
  },
  TextModal: {
    color: 'white',
    textAlign: 'center',
  },
});

export default ProtocolosZacPDFDos;
